<?php
	
	/*--------------------------------------------------------------
	# Gomuproject - July 2008 (for Joomla 1.5)
	# Copyright (C) 2007-2008 Gavick.com. All Rights Reserved.
	# License: Copyrighted Commercial Software
	# Website: http://www.gavick.com
	# Support: support@gavick.com 
	---------------------------------------------------------------*/
	
	// no direct access
	defined('_JEXEC') or die('Restricted access');

	// including base setup files
	include_once(JPATH_ROOT . "/templates/" . $this->template . '/lib/php/gk_setup.php');
	
	// setting variable for template base url
	$template_baseurl = $this->baseurl . '/templates/' . $this->template;

	// adding mootools
	JHTML::_('behavior.mootools');
	
	// getting variables from administration panel
	$mtype = $this->params->get("menutype", "moomenu");
	$datatop = ($this->params->get("datatop", 1)  == 2) ? false : true;
	$login_link = ($this->params->get("login", 1) == 0) ? false : true;
	$register_link = ($this->params->get("register", 1) == 0) ? false : true;

	// getting menu
	$menu = & JSite::getMenu();
	
	// getting information about frontpage
	$frontpage_i = ($this->params->get("frontpage", 1) == 1) ? false : ($menu->getActive() == $menu->getDefault());	
	
	// creating JURI instance	
	$url = clone(JURI::getInstance());		

	// getting User object and user ID 
	$user =& JFactory::getUser();
	$userID = $user->get('id');
?>
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml" xml:lang="<?php echo $this->language; ?>" lang="<?php echo $this->language; ?>" dir="<?php echo $this->direction; ?>" >
<head>
<jdoc:include type="head" />
<?php 
	    include_once(JPATH_ROOT . "/templates/" . $this->template . '/lib/php/menu.php');
	    include_once(JPATH_ROOT . "/templates/" . $this->template . '/lib/php/gk_head.php');	
		$stylearea = ($this->params->get("stylearea", 1)  == 0) ? false : true;
	?>
</head>
<body id="bg">
<!-- Member wrapper -->
<div id="memberarea">
        <!--memberarea -->
        <div class="centered">
                <?php if ($this->countModules('login')) : ?>
                <jdoc:include type="modules" name="login" style="raw" />
                <?php endif; ?>
                <?php if ($stylearea) : ?>
                <div id="stylearea">
                        <a href="#" id="st_icon-1" class="style_switcher"></a>
                        <a href="#" id="st_icon-2" class="style_switcher"></a>
                        <a href="#" id="st_icon-3" class="style_switcher"></a>
                </div>
                <?php endif; ?>
        </div>
</div>
<!-- Top wrapper -->
<div id="top_wrap">
        <a id="top_left" href="./">
                <img src="<?php echo $template_baseurl.'/images/logo.png'; ?>" alt="Title" />
        </a>
        <div id="top_right">
                <jdoc:include type="modules" name="advert1" style="raw" />
                <?php
            	// if user not logged in
				if($userID == 0) :
			?>
                <?php if($login_link) : ?>
                <a href="#" id="login_link" <?php if($register_link && $login_link) echo 'class="border-right"'; ?>><?php echo JText::_("Login");?></a>
                <?php endif;?>
                <?php if($register_link) : ?>
                <a href="index.php?option=com_user&task=register"><?php echo JText::_("Register");?></a>
                <?php endif;?>
                <?php 
				// if user is logged in - show information
				else : 
			?>
                <a href="#" id="login_link"><?php echo JText::_("Open a user area"); ?></a>
                <?php endif; ?>
        </div>
        <!-- Menu -->
        <div id="menu">
                <?php if($datatop) : ?>
                <span id="datas"><?php echo JHTML::_('date', 'now' ) ?></span>
                <?php endif; ?>
                <div id="horiz-menu" class="nav">
                        <?php echo $main_navigation;?>
                </div>
        </div>
</div>
<!-- Header wrapper -->
<?php if ($this->countModules('header')) : ?>
<div id="header_wrap<?php if($frontpage_i) echo '_bottom'; ?>">
        <div id="header_content" class="clearfix">
                <?php if ($this->countModules('header')) : ?>
                <div id="header_content-<?php echo $header_style1;?>">
                        <jdoc:include type="modules" name="header" style="xhtml" />
                </div>
                <?php endif; ?>
                <?php if ($this->countModules('advert2')) : ?>
                <div id="header_content-<?php echo $header_style2;?>">
                        <jdoc:include type="modules" name="advert2" style="xhtml" />
                </div>
                <?php endif; ?>
        </div>
</div>
<?php endif; ?>

<!-- Main wrapper -->
<div id="content_wrap" >
        <div id="bg_content_wrap<?php echo $w_count ?>" class="clearfix">
                <div id="component<?php echo $w_count ?>">
                        <?php if ($this->countModules('top')) : ?>
                        <div class="users_wrap">
                                <jdoc:include type="modules" name="top" style="gavickpro" headerLevel="3" />
                        </div>
                        <?php endif; ?>
                        <?php if($this->countModules('user1 or user2 or user3')) : ?>
                        <div class="users_wrap clearfix">
                                <?php if ($this->countModules('user1')) : ?>
                                <div class="<?php echo $user_position_1; ?>">
                                        <!-- user9 -->
                                        <jdoc:include type="modules" name="user1" style="gavickpro" />
                                </div>
                                <?php endif; ?>
                                <?php if ($this->countModules('user2')) : ?>
                                <div class="<?php echo $user_position_1; ?>">
                                        <!-- user10 -->
                                        <jdoc:include type="modules" name="user2" style="gavickpro" />
                                </div>
                                <?php endif; ?>
                                <?php if ($this->countModules('user3')) : ?>
                                <div class="<?php echo $user_position_1; ?>">
                                        <!-- user11 -->
                                        <jdoc:include type="modules" name="user3" style="gavickpro" />
                                </div>
                                <?php endif; ?>
                        </div>
                        <?php endif; ?>
						<?php
						// show mainbody on all subpages but not on frontpage
						if (!$frontpage_i) :
						?>
                        <div id="mainbody">
                                <jdoc:include type="component" />
                        </div>
						<?php endif; ?>
                        <?php if($this->countModules('user4 or user5 or user6')) : ?>
                        <div class="users_wrap usbottom clearfix">
                                <?php if ($this->countModules('user4')) : ?>
                                <div class="<?php echo $user_position_2; ?>">
                                        <!-- user9 -->
                                        <jdoc:include type="modules" name="user4" style="gavickpro" />
                                </div>
                                <?php endif; ?>
                                <?php if ($this->countModules('user5')) : ?>
                                <div class="<?php echo $user_position_2; ?>">
                                        <!-- user10 -->
                                        <jdoc:include type="modules" name="user5" style="gavickpro" />
                                </div>
                                <?php endif; ?>
                                <?php if ($this->countModules('user6')) : ?>
                                <div class="<?php echo $user_position_2; ?>">
                                        <!-- user11 -->
                                        <jdoc:include type="modules" name="user6" style="gavickpro" />
                                </div>
                                <?php endif; ?>
                        </div>
                        <?php endif; ?>
                        <?php if ($this->countModules('bottom')) : ?>
                        <div class="users_wrap usbottom">
                                <jdoc:include type="modules" name="bottom" style="gavickpro" headerLevel="3" />
                        </div>
                        <?php endif; ?>
                </div>
                <?php if ($this->countModules('right')) : ?>
                <div id="right">
                        <jdoc:include type="modules" name="right" style="gavickpro" headerLevel="3" />
                </div>
                <?php endif; ?>
        </div>
</div>
                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                   <div class="bodyleft"><a href="http://bank-media.ru/news/" title="http://bank-media.ru/news/" target="_parent">Bank-media.ru/news/</a> | <a href="http://house-mag.ru/news/" title="http://house-mag.ru/news/" target="_parent">House-mag.ru/news/</a> | <a href="http://politic-wars.ru/novosti/" title="http://politic-wars.ru/novosti/" target="_parent">Politic-wars.ru/novosti/</a> | <a href="http://mynewsmaker.ru/" title="http://mynewsmaker.ru/" target="_parent">Mynewsmaker.ru/</a> </div>
<?php if($this->countModules('user9 or user10 or user11')) : ?>
<!-- Bottom modules -->
<div id="bottom_wrap">
        <?php if ($this->countModules('user9')) : ?>
        <div class="<?php echo $user_position_4; ?>">
                <!-- user9 -->
                <jdoc:include type="modules" name="user9" style="gavickpro" />
        </div>
        <?php endif; ?>
        <?php if ($this->countModules('user10')) : ?>
        <div class="<?php echo $user_position_4; ?>">
                <!-- user10 -->
                <jdoc:include type="modules" name="user10" style="gavickpro" />
        </div>
        <?php endif; ?>
        <?php if ($this->countModules('user11')) : ?>
        <div class="<?php echo $user_position_4; ?>">
                <!-- user11 -->
                <jdoc:include type="modules" name="user11" style="gavickpro" />
        </div>
        <?php endif; ?>
</div>
<?php endif; ?>
<!-- Footer -->
<div id="footer_wrap">
        <?php 
				// including footer file
				include_once(JPATH_ROOT . "/templates/" . $this->template . '/lib/php/gk_footer.php'); 
			?>
</div>
<?php 
		// including information alert for IE6
		if($this->params->get("ie6info", 1) == 1): 
	?>
<!-- IE6 alert -->
<div id="ie6">
        <?php include_once(JPATH_ROOT."/templates/".$this->template.'/lib/php/gk_ie6.php'); ?>
</div>
<?php endif; ?>
</body>
</html>
